#if !defined(AFX_TIMEINTER_H__D44C1160_1376_11D3_B28A_00C0DFA996CB__INCLUDED_)
#define AFX_TIMEINTER_H__D44C1160_1376_11D3_B28A_00C0DFA996CB__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// TimeInter.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CTimeInter dialog
class CUnsDisDoc;

class CTimeInter : public CDialog
{
// Construction
public:
	CTimeInter(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CTimeInter)
	enum { IDD = IDD_TIME_INTER };
	CListBox	m_list;
	float	m_dtmax;
	int		m_maxit;
	float	m_schem;
	float	m_tol;
	float	m_delt;
	//}}AFX_DATA
	CUnsDisDoc* pDoc;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTimeInter)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CTimeInter)
	afx_msg void OnAddTime();
	afx_msg void OnDelTime();
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TIMEINTER_H__D44C1160_1376_11D3_B28A_00C0DFA996CB__INCLUDED_)
